> For the complete documentation index, see [llms.txt](https://docs.hackle.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hackle.io/en/data/example/insight-example.md).

# Insight Analysis Example

Examples of analyzing metric trends and user behavior.

These are representative analysis examples you can run with the Insight chart.

### Product usability

* **Want to check your service's recent DAU/WAU/MAU?**
  * Query the data for users who triggered `Any Event`, based on Unique User.
* **Want to see the share and details of each OS your users are on at a glance?**
  * Select OS name and OS type in the user event properties and run the query.
* **Want to see the region, device, gender, and age distribution of users on your service?**
  * Select Gender, Device Type, and Age in the user event properties and run the query.
* **Want to check the number of projects created and sign-ups over the past month?**
  * Select the sign-up completion event and set the period to 30 days.

### Product acquisition

* **Want to check the number of visits and visitors to your product?**

Set the first value in Analysis Items to **Count**. Add another analysis item and set the second value to **User Count**.

![Setting up visits and visitors](https://143363954-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FyAVlNQhS253reum0Ce94%2Fuploads%2Fgit-blob-132f9c9e64614280c2bab6af8b4ffd6a6c234528%2F3c84475-uv_pv_f3754e9ddbdbc287.gif?alt=media)

* **Want to check product acquisition paths by marketing channel?**
  * Set the event you want as the analysis item. In Group by Property, select marketing tracking properties such as `utm_source`, `utm_medium`, or `utm_resource`.
* **Want to compare iOS and Android users?**
  * Set `osName > iPhone` and `osName > Android` as separate user groups.
  * Switching to a horizontal bar chart makes it easy to compare data across groups.

### Payment and revenue

* **Want to see the payment conversion rate?**
  * Set up the case of converting from a homepage visit to a purchase. Select **Count** for a PV basis and **User Count** for a UV basis.
  * Select the events that belong in the numerator and denominator of the conversion.
* **Want to check order count and revenue at the same time?**

Select the purchase completion event. Set the first analysis item to **Count**. Add another analysis item and set the second value to **Sum**.

![Setting up order count and revenue](https://143363954-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FyAVlNQhS253reum0Ce94%2Fuploads%2Fgit-blob-8bacd7fbcc346213cfc6e6589cbcf6a53639a947%2Fcd4e581-order__revenue_09175f955454f6d7.gif?alt=media)

* **Want to compare users in specific regions?**
  * Set `Location > Seoul` and `Location > Gyungi` as separate user groups.
  * Switching to a horizontal bar chart makes it easy to compare data across groups.
* **Want to check your top-selling products or categories by revenue?**
  * Select the product or category property in Group by Property. A pie chart works well for checking the share aggregated over the entire period.
  * **Count** shows the order count, **User Count** shows the number of purchasers, and **Sum** shows revenue.
  * For Sum, select the order amount property such as `value` or `order_amount`.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.hackle.io/en/data/example/insight-example.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
